# A General Method for the Creation of Dilational Surfaces
## Supplementary Data

__DOI:__ [10.4121/uuid:36cfec67-aa04-469f-ac13-64e7d95a0c18]{https://doi.org/10.4121/uuid:36cfec67-aa04-469f-ac13-64e7d95a0c18}

In the paper, we present three examples of dilational structures created using our method. In this dataset, for each of the examples, we have collected the .STL file used as input for the method, the directed graphs obtained using the described algorithm (as GML files) and the resulting structures (both as .STL and .SCAD files).

## Included Data
- `Triangles_Solid.scad`

  The pantograph tile definitions in OpenSCAD format. A dependency for the other final (`*_tiled.scad`) designs

- `Cardioid/`

  Folder containing the files for the cardioid example from the paper.

  - `Cardioid_info.txt`

    Information file generated when processing the input `.stl` file, describes how many times the algorithm was run to obtain the highest range of motion and the bounds for the rotation angle $\theta$ and the resulting scaling bounds.
  - `Cardioid_tiled.scad`

    `OpenSCAD` design of the dilational structure, dependent on `Cardioid.scad` and `../Triangles_Solid.scad`.

  - `Cardioid_tiled.stl`

    Final design of the dilational structure, in an `ASCII STL`-format

  - `Cardioid.gml`

    Directed dual graph of the structure in the `Graph Modelling Language (GML)` format.

  - `Cardioid.scad`

    `OpenSCAD` file containing two lists: triangles contains the node coordinates of the triangles, where the last of the three coordinates is the top-corner of the pantograph, orientations contains the orientations of the pantographs, where a value of -1 corresponds to an outdegree of 1 and a value of 1 corresponds to an outdegree of 2 at the corresponding vertex of the dual graph.

  - `Cardioid.stl`

    Input structure in the `ASCII STL` format, from which the dilational surface was constructed

- `Octahedron/` and `StanfordBunny/`

  Folders for the octahedron and Stanford bunny examples. File structure is the same as in `Cardioid/`.


## Author Information
This data was produced by Freek G.J. Broeren and Werner W.P.J. van de Sande at Delft University of Technology.
